Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.tool
Class FragmentLoader.ConfigFilter

    java.lang.Object
      org.jasig.portal.utils.SAX2FilterImpl
          org.jasig.portal.layout.alm.tool.FragmentLoader.ConfigFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

Enclosing class:
  FragmentLoader

    private static class FragmentLoader.ConfigFilter

extends SAX2FilterImpl

A filter that will perform the following functions: - intercept and verify restriction names, writing out ids - intercept and verify user group names, writing out ids

Field Summary
`private static java.lang.String` | `adminId`
`private static IChannelRegistryStore` | `channelStore`
`private java.util.Map` | `fragmentIds`
`private org.xml.sax.helpers.AttributesImpl` | `groupAtts`
`private java.lang.String` | `groupData`
`private java.lang.String` | `groupLocalName`
`private boolean` | `groupMode`
`private java.lang.String` | `groupUri`
`private static IAggregatedUserLayoutStore` | `layoutStore`
`private java.util.Map` | `rMap`

Fields inherited from class org.jasig.portal.utils.SAX2FilterImpl
`contentHandler, dtdHandler, entityResolver, errorHandler, lexicalHandler, locator, log`

Constructor Summary
`FragmentLoader.ConfigFilter(org.xml.sax.ContentHandler ch, java.util.Map rMap)`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Filter a character data event.
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Filter an end element event.
`private java.lang.String` | `getAdminId()`
`java.util.Map` | `getFragmentIds()`
`java.util.Set` | `getFragmentNames()`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.

Methods inherited from class org.jasig.portal.utils.SAX2FilterImpl
`comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setAllHandlers, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setParent, setProperty, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rMap

    private java.util.Map rMap

### groupMode

    private boolean groupMode

### groupAtts

    private org.xml.sax.helpers.AttributesImpl groupAtts

### groupLocalName

    private java.lang.String groupLocalName

### groupUri

    private java.lang.String groupUri

### groupData

    private java.lang.String groupData

### fragmentIds

    private java.util.Map fragmentIds

### layoutStore

    private static IAggregatedUserLayoutStore layoutStore

### channelStore

    private static IChannelRegistryStore channelStore

### adminId

    private static java.lang.String adminId

Constructor Detail

### FragmentLoader.ConfigFilter

    public FragmentLoader.ConfigFilter(org.xml.sax.ContentHandler ch,
                                       java.util.Map rMap)
                                throws PortalException

Throws:
  `PortalException`

Method Detail

### getAdminId

    private java.lang.String getAdminId()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFragmentNames

    public java.util.Set getFragmentNames()

### getFragmentIds

    public java.util.Map getFragmentIds()

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a character data event.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `SAX2FilterImpl`
  Parameters:
    `ch` - An array of characters.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.characters(char[], int, int)`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a start element event.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter an end element event.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD